# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/Exception.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.9
%define module_name String-Numeric
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.9
Release: alt1
Summary: Determine whether a string represents a numeric value
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CH/CHANSEN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
A numeric value contains an integer part that may be prefixed with an 
optional minus sign, which may be followed by a fractional part and/or an 
exponent part.

See the String::Numeric ABNF entry elsewhere in this document for specification and the COMPARISON entry elsewhere in this document for a comparison with `Scalar::Util::looks_like_number()'.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/S*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1
- initial import by package builder

